Subject: Re: Issuing warning when hook does not have execution permission

From: Jeff King <[email-masked]>
Date: Wed, 20 Aug 2014 06:19:22 -0400

On Wed, Aug 20, 2014 at 08:55:52PM +1200, Chris Packham wrote:

> I actually find the existing behaviour useful. If I want to disable a
> hook to I can just chmod -x .git/hook/... and I then chmod +x it when
> I want to re-enable it. I guess I could live with an extra warning as
> long as the command still succeeds.

You could do the same thing "mv $hook $hook.disabled" but it involves
retraining your fingers. I kind of agree that the existing system of
respecting the executable bit is nice, though: it does what you told it
to do, and a misconfiguration is your problem, not the system's. It's
perhaps worth changing if people frequently get the executable-bit thing
wrong, but I don't know whether they do or not.

I kind of feel like we had a similar discussion around items in PATH,
but I don't remember how it resolved.

-Peff